<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Generators::GeneratorUntypedBase Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Generators.html">Generators</a></li><li class="navelem"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">GeneratorUntypedBase</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classCatch_1_1Generators_1_1GeneratorUntypedBase-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Generators::GeneratorUntypedBase Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::Generators::GeneratorUntypedBase:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Generators_1_1GeneratorUntypedBase__inherit__graph.png" border="0" usemap="#Catch_1_1Generators_1_1GeneratorUntypedBase_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1Generators_1_1GeneratorUntypedBase_inherit__map" id="Catch_1_1Generators_1_1GeneratorUntypedBase_inherit__map">
<area shape="rect" title=" " alt="" coords="5,637,180,679"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="242,300,389,341"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="238,608,393,649"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="232,677,399,719"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="228,743,403,799"/>
<area shape="rect" href="classCatch_1_1Generators_1_1FilterGenerator.html" title=" " alt="" coords="473,5,631,47"/>
<area shape="rect" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html" title=" " alt="" coords="451,71,653,112"/>
<area shape="rect" href="classCatch_1_1Generators_1_1Generators.html" title=" " alt="" coords="479,136,625,177"/>
<area shape="rect" href="classCatch_1_1Generators_1_1IteratorGenerator.html" title=" " alt="" coords="465,201,639,243"/>
<area shape="rect" href="classCatch_1_1Generators_1_1MapGenerator.html" title=" " alt="" coords="475,267,629,308"/>
<area shape="rect" href="classCatch_1_1Generators_1_1RangeGenerator.html" title=" " alt="" coords="469,332,635,373"/>
<area shape="rect" href="classCatch_1_1Generators_1_1RepeatGenerator.html" title=" " alt="" coords="467,397,637,439"/>
<area shape="rect" href="classCatch_1_1Generators_1_1SingleValueGenerator.html" title=" " alt="" coords="451,463,653,504"/>
<area shape="rect" href="classCatch_1_1Generators_1_1TakeGenerator.html" title=" " alt="" coords="475,528,629,569"/>
<area shape="rect" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html" title=" " alt="" coords="455,594,649,650"/>
<area shape="rect" href="classCatch_1_1Generators_1_1RandomIntegerGenerator.html" title=" " alt="" coords="459,674,645,730"/>
<area shape="rect" href="classCatch_1_1Generators_1_1ChunkGenerator.html" title=" " alt="" coords="469,755,635,796"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeed3c0cd6233c5f553549e453b8d6638"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">next</a> ()=0</td></tr>
<tr class="separator:aeed3c0cd6233c5f553549e453b8d6638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeed3c0cd6233c5f553549e453b8d6638"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">next</a> ()=0</td></tr>
<tr class="separator:aeed3c0cd6233c5f553549e453b8d6638"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a00ff0179d739c3016756b6cf56fabbad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00ff0179d739c3016756b6cf56fabbad">&#9670;&nbsp;</a></span>GeneratorUntypedBase() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Generators::GeneratorUntypedBase::GeneratorUntypedBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f05f8099fdc5744a7aff68aa8c09c7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f05f8099fdc5744a7aff68aa8c09c7f">&#9670;&nbsp;</a></span>~GeneratorUntypedBase() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::Generators::GeneratorUntypedBase::~GeneratorUntypedBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a00ff0179d739c3016756b6cf56fabbad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00ff0179d739c3016756b6cf56fabbad">&#9670;&nbsp;</a></span>GeneratorUntypedBase() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Generators::GeneratorUntypedBase::GeneratorUntypedBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f05f8099fdc5744a7aff68aa8c09c7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f05f8099fdc5744a7aff68aa8c09c7f">&#9670;&nbsp;</a></span>~GeneratorUntypedBase() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::Generators::GeneratorUntypedBase::~GeneratorUntypedBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aeed3c0cd6233c5f553549e453b8d6638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeed3c0cd6233c5f553549e453b8d6638">&#9670;&nbsp;</a></span>next() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::Generators::GeneratorUntypedBase::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classCatch_1_1Generators_1_1IteratorGenerator.html#acafb4fa1eebe5e1db571621a35a3f137">Catch::Generators::IteratorGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1IteratorGenerator.html#acafb4fa1eebe5e1db571621a35a3f137">Catch::Generators::IteratorGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a4e6b2038832f09724d5a4355b4691259">Catch::Generators::RangeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a4e6b2038832f09724d5a4355b4691259">Catch::Generators::RangeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RandomIntegerGenerator.html#aaa3db70fbdfa3e8dcb61fb5592eba81f">Catch::Generators::RandomIntegerGenerator&lt; Integer &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RandomIntegerGenerator.html#aaa3db70fbdfa3e8dcb61fb5592eba81f">Catch::Generators::RandomIntegerGenerator&lt; Integer &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a6a65e5f16abd884f58c31581b2a0d6db">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a6a65e5f16abd884f58c31581b2a0d6db">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1ChunkGenerator.html#a545e89f80eb1e3c953491541ea083f86">Catch::Generators::ChunkGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1ChunkGenerator.html#a545e89f80eb1e3c953491541ea083f86">Catch::Generators::ChunkGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1MapGenerator.html#aa07e2f12d38ae060c30cc30d9dc236c5">Catch::Generators::MapGenerator&lt; T, U, Func &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1MapGenerator.html#aa07e2f12d38ae060c30cc30d9dc236c5">Catch::Generators::MapGenerator&lt; T, U, Func &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a24d5c2b1c09d6d220d4bd4c83f222dcb">Catch::Generators::RepeatGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a24d5c2b1c09d6d220d4bd4c83f222dcb">Catch::Generators::RepeatGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FilterGenerator.html#a02ce0839dcaa7545c55d0fe70cc50e84">Catch::Generators::FilterGenerator&lt; T, Predicate &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FilterGenerator.html#a02ce0839dcaa7545c55d0fe70cc50e84">Catch::Generators::FilterGenerator&lt; T, Predicate &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1TakeGenerator.html#ae343f3e28fe04e0a20d6fdf69bfb4c78">Catch::Generators::TakeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1TakeGenerator.html#ae343f3e28fe04e0a20d6fdf69bfb4c78">Catch::Generators::TakeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1Generators.html#ad127fd2a07347b527f79ab3b78bd40fb">Catch::Generators::Generators&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1Generators.html#ad127fd2a07347b527f79ab3b78bd40fb">Catch::Generators::Generators&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#a6ce9e3ed045239c7b82873f24bd9cd3b">Catch::Generators::FixedValuesGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#a6ce9e3ed045239c7b82873f24bd9cd3b">Catch::Generators::FixedValuesGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html#a10833b34e3ccbc484624185712eb8b6e">Catch::Generators::SingleValueGenerator&lt; T &gt;</a>, and <a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html#a10833b34e3ccbc484624185712eb8b6e">Catch::Generators::SingleValueGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<a id="aeed3c0cd6233c5f553549e453b8d6638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeed3c0cd6233c5f553549e453b8d6638">&#9670;&nbsp;</a></span>next() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::Generators::GeneratorUntypedBase::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classCatch_1_1Generators_1_1IteratorGenerator.html#acafb4fa1eebe5e1db571621a35a3f137">Catch::Generators::IteratorGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1IteratorGenerator.html#acafb4fa1eebe5e1db571621a35a3f137">Catch::Generators::IteratorGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a4e6b2038832f09724d5a4355b4691259">Catch::Generators::RangeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a4e6b2038832f09724d5a4355b4691259">Catch::Generators::RangeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RandomIntegerGenerator.html#aaa3db70fbdfa3e8dcb61fb5592eba81f">Catch::Generators::RandomIntegerGenerator&lt; Integer &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RandomIntegerGenerator.html#aaa3db70fbdfa3e8dcb61fb5592eba81f">Catch::Generators::RandomIntegerGenerator&lt; Integer &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a6a65e5f16abd884f58c31581b2a0d6db">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a6a65e5f16abd884f58c31581b2a0d6db">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1ChunkGenerator.html#a545e89f80eb1e3c953491541ea083f86">Catch::Generators::ChunkGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1ChunkGenerator.html#a545e89f80eb1e3c953491541ea083f86">Catch::Generators::ChunkGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1MapGenerator.html#aa07e2f12d38ae060c30cc30d9dc236c5">Catch::Generators::MapGenerator&lt; T, U, Func &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1MapGenerator.html#aa07e2f12d38ae060c30cc30d9dc236c5">Catch::Generators::MapGenerator&lt; T, U, Func &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a24d5c2b1c09d6d220d4bd4c83f222dcb">Catch::Generators::RepeatGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a24d5c2b1c09d6d220d4bd4c83f222dcb">Catch::Generators::RepeatGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FilterGenerator.html#a02ce0839dcaa7545c55d0fe70cc50e84">Catch::Generators::FilterGenerator&lt; T, Predicate &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FilterGenerator.html#a02ce0839dcaa7545c55d0fe70cc50e84">Catch::Generators::FilterGenerator&lt; T, Predicate &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1TakeGenerator.html#ae343f3e28fe04e0a20d6fdf69bfb4c78">Catch::Generators::TakeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1TakeGenerator.html#ae343f3e28fe04e0a20d6fdf69bfb4c78">Catch::Generators::TakeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1Generators.html#ad127fd2a07347b527f79ab3b78bd40fb">Catch::Generators::Generators&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1Generators.html#ad127fd2a07347b527f79ab3b78bd40fb">Catch::Generators::Generators&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#a6ce9e3ed045239c7b82873f24bd9cd3b">Catch::Generators::FixedValuesGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#a6ce9e3ed045239c7b82873f24bd9cd3b">Catch::Generators::FixedValuesGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html#a10833b34e3ccbc484624185712eb8b6e">Catch::Generators::SingleValueGenerator&lt; T &gt;</a>, and <a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html#a10833b34e3ccbc484624185712eb8b6e">Catch::Generators::SingleValueGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
